/***********************************************************
 * $Id: fancyqt4browserframeagent_activex.h 2090 2020-06-04 22:35:08Z cl_yubikey_2018a $
 *
 * FancyQT4 Widgets
 *
 * Copyright (C) 2009-2011 ev-i GmbH & IBCL e.U.
 * Copyright (C) 2011-2016 ITEG IT-Engineers GmbH
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 ************************************************************/

#ifdef WIN32

#ifndef FANCYQT4WIDGETS_BROWSERFRAME_ACTIVEX_H_
#define FANCYQT4WIDGETS_BROWSERFRAME_ACTIVEX_H_

#include "fancyqt4browserframeagent.h"

#ifndef NDEBUG
#include <QtCore/qdebug.h>
#endif

#include <ActiveQt/QAxWidget>

//#include <QtGui/QKeyEvent>
//#include <QtGui/QTextCursor>

//#include <fancyqt4string.h>
//#include <fancyqt4widgetsi18n.h>
//#include <fancyqt4widgetslog.h>

//#include <fancyexception.h>


namespace Fancy {
namespace Qt4 {
namespace Widgets {

class WebAxWidget;

class FANCYQT4WIDGETS_INTERNAL_API BrowserFrameAgentActiveX : public BrowserFrameAgent {

	Q_OBJECT

public:

	BrowserFrameAgentActiveX();
	virtual ~BrowserFrameAgentActiveX();

	virtual QWidget* createWebWidget(
			QWidget *parentWidget=0,
			BrowserFrameAgent::BrowserType browserType=BrowserFrameAgent::AutoSelect);
	virtual QWidget* getWebWidget();

	virtual void setJavaScriptTimeoutPolicy(int jsTimeoutPolicy);

public slots:

	virtual void browseToUrl(const QString & url);
	virtual void browseToUrl(const QUrl & url);

	virtual void back();
	virtual void forward();
	virtual void print(QPrinter * printer) const;
	virtual void reload();
	virtual void stop();
	// GoHome(), GoSearch()

	void on_WebBrowser_TitleChange(const QString & title);
    void on_WebBrowser_ProgressChange(int a, int b);
    void on_WebBrowser_CommandStateChange(int cmd, bool on);
    void on_WebBrowser_BeforeNavigate();
    void on_WebBrowser_NavigateComplete(QString);

protected:

    //QAxWidget *qaxWidget;
    WebAxWidget *qaxWidget;
    BrowserFrameAgent::BrowserType browserType;

};


} /* namespace Widgets */
} /* namespace Qt4 */
} /* namespace Fancy */

#endif // FANCYQT4WIDGETS_BROWSERFRAME_ACTIVEX_H_

#endif // ifdef WIN32
