/***********************************************************
 * $Id: fancyqt4datetimelabel.h 1326 2014-09-14 18:53:22Z fancylibs $
 *
 * FancyQT4 Widgets
 *
 * Copyright (C) 2009-2011 ev-i GmbH & IBCL e.U.
 * Copyright (C) 2011-2013 ITEG IT-Engineers GmbH
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 ************************************************************/

#ifndef FANCYQT4WIDGETS_DATETIMELABEL_H_
#define FANCYQT4WIDGETS_DATETIMELABEL_H_

#include <fancyqt4widgets.h>

#include <QtCore/QDateTime>
#include <QtCore/QString>

#include <QtGui/QLabel>


namespace Fancy {
namespace Qt4 {
namespace Widgets {
namespace impl { class DateTimeLabelImpl; }

/**
 * A Label with date formatting capabilities.
 */
class FANCYQT4WIDGETS_API DateTimeLabel : public QLabel {

	Q_OBJECT

	Q_PROPERTY( unsigned utcSecs READ getUTCSecs WRITE setUTCSecs)
	Q_PROPERTY( QDateTime dateTime READ getDateTime WRITE setDateTime)
	Q_PROPERTY( QString format READ getFormat WRITE setFormat)
	Q_PROPERTY( QString display4InvalidDateformat READ getDisplay4InvalidDate WRITE setDisplay4InvalidDate)

	impl::DateTimeLabelImpl *d;

public:
	DateTimeLabel(QWidget *parent);
	virtual ~DateTimeLabel();

	void setFormat(const QString &s);
	QString getFormat() const;

	void setDisplay4InvalidDate(const QString &s);
	QString getDisplay4InvalidDate() const;

	void setDateTime(const QDateTime &dateTime);
	QDateTime getDateTime() const;

	void setUTCSecs (unsigned secs);
	unsigned getUTCSecs() const;

	void setUTCMillis(quint64 utcMillis);
	quint64 getUTCMillis() const;

};


} /* namespace Widgets */
} /* namespace Qt4 */
} /* namespace Fancy */

#endif /* FANCYQT4WIDGETS_DATETIMELABEL_H_ */
