/***********************************************************
 * $Id: fancyqt4linerecord.h 1326 2014-09-14 18:53:22Z fancylibs $
 *
 * FancyQT4 Widgets
 *
 * Copyright (C) 2009-2011 ev-i GmbH & IBCL e.U.
 * Copyright (C) 2011-2013 ITEG IT-Engineers GmbH
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 ************************************************************/

#ifndef FANCYQT4WIDGETS_LINERECORD_H_
#define FANCYQT4WIDGETS_LINERECORD_H_

#include <fancyqt4widgets.h>
#include <QtCore/QString>
#include <QtCore/QVector>

namespace Fancy {
namespace Qt4 {
namespace Widgets {

/**
 * A Line holder for FancyLogView
 */
class FANCYQT4WIDGETS_API LineRecord {

	QString text;
	int lineNumber;
public:
	LineRecord() : lineNumber(0) {}
	LineRecord(const QString &_text, int _lineNo) : text(_text),lineNumber(_lineNo) {}
	LineRecord(const LineRecord &rec) : text(rec.text), lineNumber(rec.lineNumber) {}

	LineRecord &operator=(const LineRecord &rec);

	const QString &getText() const { return this->text; }
	void setText(const QString &_text) { this->text = _text; }

	int getLineNumber() const { return this->lineNumber; }
	void setLineNumber(int n) { this->lineNumber = n; }

	~LineRecord();
};

typedef QVector<LineRecord> LineRecordList;

} /* namespace Widgets */
} /* namespace Qt4 */
} /* namespace Fancy */
#endif /* FANCYQT4LINERECORD_H_ */
