/***********************************************************
 * $Id: fancyqt4pixmapfactory.h 1893 2017-11-10 16:05:30Z fancylibs $
 *
 * FancyQT4 Widgets
 *
 * Copyright (C) 2009-2011 ev-i GmbH & IBCL e.U.
 * Copyright (C) 2011-2013 ITEG IT-Engineers GmbH
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 ************************************************************/

#ifndef FANCYQT4WIDGETS_PIXMAPFACTORY_H_
#define FANCYQT4WIDGETS_PIXMAPFACTORY_H_

#include <fancyqt4widgets.h>

#include <QtCore/QString>

#include <QtGui/QColor>
#include <QtGui/QPixmap>

//class QPixmap;
//class QString;

namespace Fancy {
namespace Qt4 {
namespace Widgets {

/**
 * Helpers to create placeholder Pixmaps
 */
namespace PixmapFactory {

QPixmap FANCYQT4WIDGETS_API createPixmap(
		int w, int h,
		const QColor & fillColor = QColor(),
		const QColor & frameColor = QColor(),
		const QString & text = 0,
		int drawTextFlags = Qt::AlignCenter | Qt::TextWordWrap);

} // end namespace PixmapFactory

} /* namespace Widgets */
} /* namespace Qt4 */
} /* namespace Fancy */

#endif /* FANCYQT4WIDGETS_PIXMAPFACTORY_H_ */
